2019-10-16 18:46 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000486mercuryBugpublic2019-09-29 14:06
Reporterjuliensf 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000486: Partially qualified types in foreign_enum pragmas not working with rotd-2019-09-28
Descriptionextras/graphics/mercury_glut/glut.window.m contains the following type and foreign_enum declaration.

    :- type window.state
        ---> x
        ; y
        ; window_width
        ....

       :- pragma foreign_enum("C", window.state/0,
       [
           x - "GLUT_WINDOW_X",
           y - "GLUT_WINDOW_Y",
           window_width - "GLUT_WINDOW_WIDTH"

Building the short interface for glut.window now results in:

    glut.window.m:689: Error: `:- pragma foreign_enum' declaration for the
    glut.window.m:689: undeclared type `state'/0.

(The error goes away if the type name in the foreign_enum pragma is fully qualified.)



TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001053

zs (developer)

Fix committed 2019 sep 29.
+Notes

-Issue History
Date Modified Username Field Change
2019-09-29 04:00 juliensf New Issue
2019-09-29 04:02 zs Assigned To => zs
2019-09-29 04:02 zs Status new => assigned
2019-09-29 14:06 zs Status assigned => resolved
2019-09-29 14:06 zs Resolution open => fixed
2019-09-29 14:06 zs Note Added: 0001053
+Issue History